Subject: Re: Texinfo compile failure on IRIX 6.5

From: Stefano Lattarini <[email-masked]>
Date: Sat, 24 Nov 2012 09:53:08 +0100

[+cc automake bug#12967]

Hi Patrice.

In future replies, could you avoid dropping the CC: list?  This way,
the details of our discussion will be registered in the Automake
bug tracker.  Thanks.

Now, back to business...

On 11/24/2012 12:26 AM, Patrice Dumas wrote:
> On Fri, Nov 23, 2012 at 09:20:46AM +0100, Stefano Lattarini wrote:
>> [+cc bug-automake]
>>
>> Hi Patrice, Karl.
>>
>> On 11/23/2012 03:17 AM, Patrice Dumas wrote:
>>> On Thu, Nov 22, 2012 at 05:52:50PM -0700, Karl Berry wrote:
>>>>     info do not compile on IRIX 6.5.  There is an error linked with the
>>>>     call of depcomp.
>>>>
>> What is the dependency style determined by configure?  You might
>> grep for the line "dependency style" in config.log to find out.
> 
> It was 'sgi'.
>
OK, as I thought.  Thanks for confirming.

>> Is the failure still present if you run configure with the
>> "--disable-dependency-tracking" option?
> 
> No, it is not present anymore.
>
OK, so it is a failure in depcomp.  But at least the package builds
when dependency tracking is disabled.

>> Has been IRIX discontinued?  I wasn't aware of that.  If it has, we
>> might indeed want to remove support from it from the depcomp script
>> (that can be done for Automake 1.14).
> 
> It is supported until december 2013
> http://www.sgi.com/services/support/irix_mips_support.html
> 
Then we have to fix the sgi depmode, I fear.  But I'll need access
to an IRIX system to do so myself.  Another possibility is to simply
remove the sgi depmode; this way, automatic dependency tracking will
automatically be disabled for the SGI C compiler, but at least
simple builds with "./configure; make all" will succeed.

Opinions?

Thanks,
  Stefano